<table class="dbTable-table" cellspacing="1" cellpadding="2">
  <tr class="dbTable-header">
    <if condition="{{selectable}}">
      <th>
        <a href="javascript:dbTable_select('{{obj_id}}', '{{UNDEFINED}}')">
          <img border="0" src="{{./}}select.png" />
        </a>
      </th>
    </if>

    <repeat rs="{{table}}->fields">
      <th>{{fld_name}}</th>
    </repeat>

    <if condition="{{editable}}">
      <th>
        <a class="button" href="javascript:dbTable_add('{{obj_id}}')">A</a>
      </th>
      <th>
        <a class="button" href="javascript:dbTable_rmAll('{{obj_id}}')">X</a>
      </th>
    </if>
  </tr>

  <repeat rs="{{table}}->records">
    <var name="row">( '{{rec_id}}' == '{{selected_rec}}' ?
                      'selected' : 'normal' )</var>
    <tr class="dbTable-row-{{row}}">
      <if condition="{{selectable}}">
        <td>
          <a href="javascript: dbTable_select('{{obj_id}}', '{{rec_id}}')">
            <img border="0" src="{{./}}select.png" />
          </a>
        </td>
      </if>     

      <repeat rs="{{table}}->fields">
        <td>{{{{fld_name}}}}</td>
      </repeat>

      <if condition="{{editable}}">
        <td>
          <a class="button"
             href="javascript:dbTable_edit('{{obj_id}}','{{rec_id}}')">
             T_("E")</a>
        </td>
        <td>
          <a class="button"
             href="javascript:dbTable_rm('{{obj_id}}','{{rec_id}}')">
             T_("X")</a>
        </td>
      </if>
    </tr>
  </repeat>
</table>
